/*
Theme Name:  Raggs Supply
Theme URI:   https://www.raggssupply.com
Version:     1.0
Description: A child theme of Divi. This is a custom child theme created for our site Raggs Supply.
Author:      administrator
Author URI:  https://www.raggssupply.com
Template:    Divi
*/

/*- Add any CSS custom code for this child theme below this line -*/

/*   colors - primary pink: e40ca8, dark pink: a40077, green: 4aef0d  */
/*  new colors - dark blue:2308CF,    light blue header bg: E5E5FD, red menu: FF010C      */


/* Hide duplicate required asterisk on WooCommerce checkout (ThemeLocation plugin); future proofed for wc blocks; thanks chatgpt */
body.woocommerce-checkout form label .required[aria-hidden="true"] {
  display: none !important;
}
body.wc-block-checkout form label .required[aria-hidden="true"] {
  display: none !important;
}

.woocommerce-product-gallery__image.flex-active-slide {
    pointer-events: none !important;
}
/*h1, h2, h3, h4, h5 {
	colo: #2308CF!important;
}*/
h1 {
	font-weight: 700;
	font-size: 2.4em;
}
h1.product_title, h2.woocommerce-loop-product__title {
	line-height: 1.2em;
}
h2 {
	font-weight: 600;
}
h2.h2-title {
	font-size: 2.4em;
	text-shadow: 1px 1px 2px #888;
	padding-bottom:30px	
}

a, h2 a, .woocommerce-Tabs-panel a, #left-area a {
    color:#2308CF;
}
p a {
    text-decoration:underline;
}

/* for Working Supplies page */
.work-supplies h3 {
	text-align: left;
	color: #a40077;
	font-weight: 500;
}
.work-supplies h3 a {
	color: #2ea3f2;
}
.work-supplies img {
	padding: 25px 0;
}
#flavor-station a {
    text-decoration: underline;
}
hr {
	margin:25px 0;
}
/*h2 a{
	color: #2ea3f2;
}*/
/* for Working Supplies page */
.homepage-sidebar-top h2, h3, h4, h5 {
	color: #333;
	font-weight: 700;
	text-align: center;
}

h2 {
	line-height: 1.2em;
}

.homepage-sidebar-column {
	border-left: 1px solid rgba(0,0,0,.4);
}
.homepage-sidebar-widget {
	padding: 30px 0 0 0;
	border-right:0;
}
.homepage-sidebar-widget a {
	color: #a40077!important;
	font-weight: 600;
	font-size: 1.2em;
}
p {
	color: #383838;
	font-size:1.6em!important;
}
.footer-text p {
	color: #fff;
}
.footer-text .et_pb_column {
	padding-left: 75px;
}
.footer-text .et_pb_row_3 {
	margin: 25px auto;
}
.privacy a {
	color:#aaa;
	margin: 0 15px;
}
.et_pb_column {
	padding-left: 50px;
}
.homepage-h1 {
	padding-left:0;
}
.homepage-flavors .et_pb_column {
	padding-left:0;
}
.testimonials-heading p {
	color: #f1c346;
}
.testimonials-heading2 p, .testimonials-name p{
	color: #fff;
}	
/* center info on product-category pages */
.woocommerce ul.products li.product a {
		text-align: center;
	}

.woocommerce div.product p.price, .woocommerce-page div.product p.price {
	color: #555;
}
.woocommerce .quantity input.qty {
    width:5em;
}


/*-----------menu--------*/
.store-menu li.current-menu-item > a,#top-menu li > a:hover  {
	color: #e40ca8;
}
.et_mobile_menu li a:hover, .nav ul li a:hover {
    background-color: rgba(0,0,0,.13);
}
.et_pb_fullwidth_menu_0_tb_header.et_pb_fullwidth_menu .sub-menu li a {
    font-size:18px;
}

/*--------------- cart page ------------------*/

.cart-collaterals h4 {
    text-align: left;
}
.cart-collaterals h4 a {
    color: #2ea3f2;
}



/*---------------- woocommerce-messages (not only on checkout page) --------------*/
.woocommerce-message a {
color: #fff; }
.woocommerce-message {
line-height: 2em;
}
.woocommerce-message, .woocommerce .woocommerce-error {
    background:#dd3333!important;
}
.woocommerce .woocommerce-info, .woocommerce .woocommerce-message {
    background:#ccccff!important;
    color:black!important;
}
.woocommerce-info a {
    color:black;
}
p.demo_store {
    padding:10px!important;
}
h2.special-notice {
    padding:15px;
    background-color: blue;
    color: white;
}
#ph_suggested_address b {
    color:red;
}
.woocommerce-form-login p {
    color: #333;
    font-weight:600;
    font-size:1.4em;
}

/********new design css ***********/

/*--------account page ----------*/
.logged-in #login-notice, .woocommerce-lost-password #login-notice {
    display:none;
}
/*------------ header menu, store menu ----------*/
.et-db #et-boc .et-l .et_pb_fullwidth_menu--without-logo .et_pb_menu__menu>nav>ul#menu-main {
    padding: .5em 0 2em 0!important;
}
.et_pb_fullwidth_menu_0_tb_header.et_pb_fullwidth_menu li.current-menu-ancestor>a, .et_pb_fullwidth_menu_0_tb_header.et_pb_fullwidth_menu li.current-menu-item>a, .et_pb_fullwidth_menu_0_tb_header.et_pb_fullwidth_menu li.current_page_item>a, .et-db #et-boc .et-l .et_pb_fullwidth_menu_0_tb_header.et_pb_fullwidth_menu li.current-menu-ancestor>a, .et-db #et-boc .et-l .et_pb_fullwidth_menu_0_tb_header.et_pb_fullwidth_menu li.current-menu-item>a,.et-db #et-boc .et-l .et_pb_fullwidth_menu_0_tb_header.et_pb_fullwidth_menu li.current_page_item>a{
    color:#2308cf!important;
}

/***transparency fade - store menu background
.et-db #et-boc .et-l .et_pb_menu_0.et_pb_menu {
    background: linear-gradient(to right, rgba(220,220,220,0) 0%, rgba(220,220,220,.5) 15%, rgba(220,220,220,1) 30%, rgba(220,220,220,1) 70%, rgba(220,220,220,0) 100%);
}*/
    
.et-db #et-boc .et-l .store-menu .et_pb_menu__menu>nav>ul li.current-menu-ancestor>a, .et-db #et-boc .et-l .store-menu .et_pb_menu__menu>nav>ul li.current-menu-item>a, .et-db #et-boc .et-l .store-menu .et_mobile_nav_menu .mobile_nav>ul li.current-menu-ancestor>a, .et-db #et-boc .et-l .store-menu .et_mobile_nav_menu .mobile_nav>ul li.current-menu-item>a {
    color:#2308cf!important;
    font-weight:600;
}

.et_pb_fullwidth_menu_0_tb_header .mobile_nav .mobile_menu_bar:before {
color:#ff010c!important;
}
.header-menu .sub-menu li a {font-size:18px!important;}
.header-menu li li.menu-item-has-children>a:first-child:after {top:6px!important;}
.store-menu .nav li ul {border-color:#666!important;}
.et-db #et-boc .et-l .store-header .store-menu .mobile_nav .mobile_menu_bar:before {
    color:#2308cf;
}
.et-db #et-boc .et-l .store-header .store-menu.et_pb_menu .et_mobile_menu {
    border-top: 3px solid #2308cf;
}
.why-raggs, .why-raggs h2,.why-raggs h3,.why-raggs h4 {
	color:#282828;
}
.why-raggs .et_pb_blurb_description {
	line-height:1.3em!important;
}
.home .five-logo-row .et_pb_column_1_5 {
	padding-left:2%!important;
	margin-right:2%!important;
	width:18%;
}
.footer-text a {
	color:#fff!important;
}
header {
	position:relative;
	z-index:9999;
}
.woocommerce header {
	z-index:99;
}
.store-header {padding:2% 0!important;}
.store-header .et_pb_row, .store-header .et_pb_column {padding:0!important;}
.store-menu .et-menu .li a {font-size: 1.4em; color:#333!important;}
.store-menu .et-menu .li {padding:25px 0;}
.et-l .et_pb_widget_area_right {border-left:1px solid #ddd!important; padding-left:30px!important;}

/****** new woo blocks **********/
.woocommerce-page a.button.alt, .woocommerce a.button.alt, .woocommerce-page button.button, .woocommerce-page button.button.alt, .woocommerce button.button, .woocommerce button.button.alt, .wc-block-components-notice-banner {
	color:#fff!important;
	background-color:#5B45E2!important;
	border: 1px solid #5B45E2!important;
}
.woocommerce a.button.alt:hover, .woocommerce a.button:hover, .woocommerce div.product span.price {
	color:#2308cf;
}
.posted_in a, .tagged_as a {
	color:#2308cf;
	font-weight:600;
}
.wc-block-components-notice-banner.is-success {
	background-color:#fff;
	color:#2308cf;
}
.wc-block-components-notice-banner__content {
	font-size:1.4em;
}
.wc-block-components-notice-banner.is-success>svg{
	fill:#2308cf;
	background-color:#fff;
}
.woocommerce-notices-wrapper .wc-block-components-notice-banner>.wc-block-components-notice-banner__content .wc-forward {
	background-color:#fff!important;
	padding:.3em 1em!important;
	text-decoration:none;
	opacity:1;
}
.woocommerce-notices-wrapper .wc-block-components-notice-banner>.wc-block-components-notice-banner__content .wc-forward:hover {
	padding:.3em 2em .3em 1em!important;
}

/********hide tax-id field on registration page; user will add it upon email verification. this is a custom field **********/
.woocommerce-form-register #taxid_field {display:none;}

/**------woo account page ---------*/
.woocommerce-account .woocommerce-MyAccount-content, .woocommerce {
margin-bottom: 8em;
}

/*------------------------------------------------*/
/*---------------[RESPONSIVE LAYOUTS]-------------*/
/*------------------------------------------------*/
/*-------------------[480px]------------------*/
@media only screen and ( max-width: 767px ) {
	.homepage-main-column, .testimonials .et_pb_column, .footer-text .et_pb_column {padding-left: 0;}
	.homepage-sidebar-column {border-left: 0; padding-left: 0;}
	.et_pb_column {padding-left: 0px;}
	.five-logo-row .et_pb_column {width:100%;}
}